Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class ElementAnnotation

    java.lang.Object
      convert.relaxng.edit.SourceObject
          convert.relaxng.edit.AnnotationChild
              convert.relaxng.edit.ElementAnnotation

    public class ElementAnnotation

extends AnnotationChild

Constructor Summary
`ElementAnnotation(java.lang.String namespaceUri, java.lang.String localName)`

Method Summary
`
`<T> T`
` | `accept(AnnotationChildVisitor<T> visitor)`
`void` | `attributesAccept(AttributeAnnotationVisitor<?> visitor)`
`void` | `childrenAccept(AnnotationChildVisitor<?> visitor)`
`java.util.List<AttributeAnnotation>` | `getAttributes()`
`java.util.List<AnnotationChild>` | `getChildren()`
`Context` | `getContext()`
`java.lang.String` | `getLocalName()`
`java.lang.String` | `getNamespaceUri()`
`java.lang.String` | `getPrefix()`
`void` | `setContext(Context context)`
`void` | `setLocalName(java.lang.String localName)`
`void` | `setNamespaceUri(java.lang.String namespaceUri)`
`void` | `setPrefix(java.lang.String prefix)`

Methods inherited from class convert.relaxng.edit.SourceObject
`getSourceLocation, setSourceLocation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElementAnnotation

    public ElementAnnotation(java.lang.String namespaceUri,
                             java.lang.String localName)

Method Detail

### getAttributes

    public java.util.List<AttributeAnnotation> getAttributes()

### getChildren

    public java.util.List<AnnotationChild> getChildren()

### getNamespaceUri

    public java.lang.String getNamespaceUri()

### setNamespaceUri

    public void setNamespaceUri(java.lang.String namespaceUri)

### getLocalName

    public java.lang.String getLocalName()

### setLocalName

    public void setLocalName(java.lang.String localName)

### getPrefix

    public java.lang.String getPrefix()

### setPrefix

    public void setPrefix(java.lang.String prefix)

### getContext

    public Context getContext()

### setContext

    public void setContext(Context context)

### accept

    public <T> T accept(AnnotationChildVisitor<T> visitor)

  Specified by:
    `accept` in class `AnnotationChild`

### attributesAccept

    public void attributesAccept(AttributeAnnotationVisitor<?> visitor)

### childrenAccept

    public void childrenAccept(AnnotationChildVisitor<?> visitor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD